> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 1.5 Pro

> Seedance 1.5 Pro API 可根据文本或图片生成视频，并可选生成音轨。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

使用字节跳动的 Seedance 1.5 Pro 生成高质量视频。支持文生视频和图生视频工作流，可控制宽高比、分辨率、时长，并可选生成音频。

## 模型

* **seedance-1.5-pro** - 支持文生视频和图生视频的视频生成

## 功能

* **灵活模式**：文生视频和图生视频
* **宽高比控制**：灵活的输出宽高比
* **分辨率控制**：标准（480p）、高（720p）或超高（1080p）
* **时长控制**：以秒为单位设置时长
* **固定镜头**：锁定镜头，保持画面稳定
* **音频生成**：可选生成音轨


## OpenAPI

````yaml zh/api-manual/video-series/seedance-1-5-pro.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Seedance 1.5 Pro API
  description: Seedance 1.5 Pro API 根据文本或图片生成视频，可选生成音轨。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Seedance 1.5 Pro
      summary: 提交 Seedance 1.5 Pro 视频生成任务
      description: 使用 Seedance 1.5 Pro 生成高质量视频，支持文生视频和图生视频
      operationId: submitSeedance15ProTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              text-to-video:
                summary: Seedance 1.5 Pro 文生视频
                value:
                  model: seedance-1.5-pro
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      slow zoom over a futuristic city at sunset, cinematic
                      lighting
                    aspect_ratio: '16:9'
                    resolution: 720p
                    duration: 4
                    fixed_lens: false
                    generate_audio: true
              image-to-video:
                summary: Seedance 1.5 Pro 图生视频
                value:
                  model: seedance-1.5-pro
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: slow zoom, sunset glow
                    image_urls:
                      - https://example.com/image.jpg
                    aspect_ratio: '16:9'
                    resolution: 720p
                    duration: 4
                    fixed_lens: false
                    generate_audio: true
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
      properties:
        model:
          type: string
          description: Seedance 1.5 Pro 模型标识
          enum:
            - seedance-1.5-pro
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
            - aspect_ratio
            - duration
          description: 生成参数
          properties:
            prompt:
              type: string
              description: 输入视频描述，长度须在 3 到 2,500 个字符之间。
              minLength: 3
              maxLength: 2500
              example: slow zoom, sunset glow
            image_urls:
              type: array
              items:
                type: string
                format: uri
              maxItems: 2
              description: >-
                图生视频使用的参考图片 URL（第 1 张作为首帧，第 2 张作为尾帧）。传上传后的文件
                URL，而非文件内容；支持类型：image/jpeg、image/png、image/webp；最大 10.0MB
              example:
                - https://example.com/first-frame.jpg
                - https://example.com/last-frame.jpg
            aspect_ratio:
              type: string
              description: 选择画面尺寸。
              enum:
                - '1:1'
                - '21:9'
                - '4:3'
                - '3:4'
                - '16:9'
                - '9:16'
              example: '1:1'
            resolution:
              type: string
              description: 标准（480p）/ 高清（720p）/ 超清（1080p）
              enum:
                - 480p
                - 720p
                - 1080p
              example: 720p
            duration:
              type: integer
              description: 视频时长（秒）
              enum:
                - 4
                - 8
                - 12
              example: 4
            fixed_lens:
              type: boolean
              description: 是否固定镜头
              example: false
            generate_audio:
              type: boolean
              description: 是否生成音轨
              example: true
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.